<!DOCTYPE html>
<html>
  <head>
    <title>Shotclock</title>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link rel="apple-touch-icon" sizes="180x180" href="apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
    <link rel="manifest" href="site.webmanifest">


    <style>
      html, body {
        height: 100%;
        width: 100%;
        margin: 0;
        padding: 0;
      }

      body {
        background-color: black;
        color: <%= colors.watervlo_yellow %>;
        font-family: "Roboto", sans-serif;
        overflow: hidden;
      }

      .page {
        visibility: hidden;
        position: absolute;
        height: 100%;
        width: 100%;
        margin: 0;
        padding: 0;
      }

      .max-size {
        position: absolute;
        height: 100%;
        width: 100%;
      }
    </style>

    <% files.forEach((file) => { %>
    <%- `<!-- ${file.split('.')[0]} page css -->` %>
    <%- include('shotclock_pages/' + file, { section: 'css' }) %>
    <% }); %>

    <!-- Include scripts -->
    <script type="text/javascript" src="textFit.min.js"></script>
    <script>
      <%- include('numberPad.js') %>
    </script>
    <script>
      <%- include('timer.js') %>
    </script>

    <!-- Websocket scripts -->
    <script>
      <%- include('websocket.js') %>

      registerCommand('global', 'data', (data) => {
        changePage(data.page)
      })
    </script>

    <!-- TextFit scripts -->
    <script>
      function fitText(element) {
        textFit(element, { alignVert: true, maxFontSize: 1500, multiline: true })
      }
      function fitAllText() {
        fitText(document.getElementsByClassName('text-fit'))
      }
    </script>

  </head>
  <body onload="fitAllText()" onresize="fitAllText()">

    <% files.forEach((file) => { %>
    <%- `<!-- ${file.split('.')[0]} page css -->` %>
    <%- include('shotclock_pages/' + file, { section: 'html' }) %>
    <% }); %>

    <% files.forEach((file) => { %>
    <%- `<!-- ${file.split('.')[0]} page css -->` %>
    <%- include('shotclock_pages/' + file, { section: 'js' }) %>
    <% }); %>

  </body>
</html>
